"""Replace build_opts with arch_override

Revision ID: 1d3bd1ceb2d5
Revises: 250e19717740
Create Date: 2015-04-02 11:30:44.755016

"""

# revision identifiers, used by Alembic.
revision = '1d3bd1ceb2d5'
down_revision = '250e19717740'

from alembic import op
import sqlalchemy as sa


def upgrade():
    op.add_column('package', sa.Column('arch_override', sa.String(), nullable=True))
    op.execute("""UPDATE package SET arch_override='x86_64' WHERE build_opts LIKE '%'""")
    op.drop_column('package', 'build_opts')


def downgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.add_column('package', sa.Column('build_opts', sa.VARCHAR(), autoincrement=False, nullable=True))
    op.drop_column('package', 'arch_override')
    ### end Alembic commands ###
