"""refactored

Revision ID: 39edf88c532a
Revises: 44ee2dab26cb
Create Date: 2014-07-01 10:47:24.660838

"""

# revision identifiers, used by Alembic.
revision = '39edf88c532a'
down_revision = '44ee2dab26cb'

from alembic import op
import sqlalchemy as sa


def upgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.create_table('package_change',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('prev_state', sa.Integer(), nullable=True),
    sa.Column('curr_state', sa.Integer(), nullable=True),
    sa.Column('applied_in_id', sa.Integer(), nullable=True),
    sa.Column('package_id', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['applied_in_id'], ['build.id'], ),
    sa.ForeignKeyConstraint(['package_id'], ['package.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.drop_table(u'build_trigger')
    op.add_column('dependency_change', sa.Column('applied_in_id', sa.Integer(), nullable=True))
    op.alter_column('dependency_change', u'package_id',
               existing_type=sa.INTEGER(),
               nullable=False)
    ### end Alembic commands ###


def downgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.alter_column('dependency_change', u'package_id',
               existing_type=sa.INTEGER(),
               nullable=True)
    op.drop_column('dependency_change', 'applied_in_id')
    op.create_table(u'build_trigger',
    sa.Column(u'id', sa.INTEGER(), server_default="nextval('build_trigger_id_seq'::regclass)", nullable=False),
    sa.Column(u'build_id', sa.INTEGER(), autoincrement=False, nullable=True),
    sa.Column(u'comment', sa.VARCHAR(), autoincrement=False, nullable=False),
    sa.ForeignKeyConstraint(['build_id'], [u'build.id'], name=u'build_trigger_build_id_fkey'),
    sa.PrimaryKeyConstraint(u'id', name=u'build_trigger_pkey')
    )
    op.drop_table('package_change')
    ### end Alembic commands ###
